Bug 55327 - Errata 3.7.4-23 for LPRng breaks lpd
Errata 3.7.4-23 for LPRng breaks lpd
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rhs-printfilters (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-29 14:02 EST by Tom "spot" Callaway
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 21:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2001-10-29 14:02:30 EST
Description of Problem:
After upgrading LPRng-3.7.4-23.i386.rpm &
rhs-printfilters-1.81-2.rh7.0.i386.rpm, the lpd service does not start
properly, giving the following error:

Starting lpd: Warning - cannot stat 'if' filter '/var/spool/lpd/lp/filter'
- No such file or directory

Shockingly enough, /var/spool/lpd/lp/filter doesn't exist, where it once
did (before the two rpms were upgraded).

Version-Release number of selected component (if applicable):
3.7.4-23

How Reproducible: Always


Steps to Reproduce:
1. rpm -Uvh LPRng-3.7.4-23.i386.rpm rhs-printfilters-1.81-2.rh7.0.i386.rpm
2. service lpd restart
3. 

Actual Results: lpd breaks, printing doesnt work with previously setup
printer (that worked before errata upgrade)


Expected Results:
printer prints, lpd starts cleanly
Comment 1 Bill Nottingham 2001-10-29 21:29:59 EST
Change the line in /etc/printcap to refere to
/usr/lib/rhs/rhs-printfilters/master-filter instead of
/var/spool/<whatever>/filter, and it should work.
Comment 2 Crutcher Dunnavant 2001-11-01 15:46:24 EST
yup. Respining the errata. Edit the printcap or re-edit the spool with printtool.

Note You need to log in before you can comment on or make changes to this bug.